org.apache.maven.shared.artifact.filter.collection

## Class ArtifactIdFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter
  - - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactFeatureFilter
    - - org.apache.maven.shared.artifact.filter.collection.ArtifactIdFilter

All Implemented Interfaces:
  ArtifactsFilter

    public class ArtifactIdFilter
    extends AbstractArtifactFeatureFilter

Filter on ArtifactId name

Since:
  2.0-alpha-2
Version:
  $Id: ArtifactIdFilter.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  clove
See Also:
  `org.apache.maven.plugin.dependency.utils.filters.AbstractArtifactFeatureFilter`

### Constructor Summary

Constructors
Constructor and Description
`ArtifactIdFilter(String include, String exclude)` Will setup super with 'ArtifactId' as the filterType

### Method Summary

Methods
`protected String` `getArtifactFeature(org.apache.maven.artifact.Artifact artifact)` Should return the type or classifier of the given artifact, so that we can filter it

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactFeatureFilter

`compareFeatures, filter, getExcludes, getIncludes, setExcludes, setIncludes`

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter

`isArtifactIncluded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArtifactIdFilter

    public ArtifactIdFilter(String include,
                    String exclude)

Will setup super with 'ArtifactId' as the filterType

Parameters:
  `include` -
  `exclude` -

### Method Detail

#### getArtifactFeature

    protected String getArtifactFeature(org.apache.maven.artifact.Artifact artifact)

Description copied from class: `AbstractArtifactFeatureFilter`
Should return the type or classifier of the given artifact, so that we can filter it

Specified by:
  `getArtifactFeature` in class `AbstractArtifactFeatureFilter`
Parameters:
  `artifact` - artifact to return type or classifier of
Returns:
  type or classifier